Bug 480573 - libsynaptics does not support current synaptics driver
libsynaptics does not support current synaptics driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libsynaptics (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 01:59 EST by Craig White
Modified: 2009-04-09 11:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 11:02:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig White 2009-01-19 01:59:47 EST
Description of problem:
Ksynaptics refuses to configure pad

Version-Release number of selected component (if applicable):
# rpm -q ksynaptics
ksynaptics-0.3.3-7.fc10.i386


How reproducible:
easy enough

Steps to Reproduce:
1. yum install ksynaptics
2. kcmshell ksynaptics
3. errors...
  
Actual results:

$ kcmshell ksynaptics
DCOPClient::attachInternal. Attach failed Could not open network socket
kbuildsycoca running...                                                
getInstance(pad.cpp:16)  --- waiting for lock...                       
Pad(pad.cpp:45)  --- created singleton                                 
registerParameters(pad.cpp:489)  --- registration done!                
init(pad.cpp:494)        --- this version of libsynaptics supports the following driver versions:               
init(pad.cpp:499)        ---  ---
0.14.4 
init(pad.cpp:499)        ---  ---
0.14.5 
init(pad.cpp:499)        ---  ---
0.14.6
init(pad.cpp:501)        --- initializing fitting driver segment...
detectDriverVersion(pad.cpp:150)         --- detecting driver version...
driverStr(pad.cpp:193)   ---
driverStr                                                     
intVerToStrVer(pad.cpp:96)       ---
intVerToStrVer                                        
detectDriverVersion(pad.cpp:180)         --- detected driver version
0.15.2                
driverVersion(pad.cpp:115)       ---
driverVersion                                         
driverVersion(pad.cpp:115)       ---
driverVersion                                         
init(pad.cpp:545)        --- driver is too recent, please downgrade driver or update libsynaptics!                    
getInstance(pad.cpp:20)  --- ...unlocking done! 
libraryStr(pad.cpp:199)  ---
libraryStr                                                    
driverKind(pad.cpp:132)  ---
driverKind                                                    
driverStr(pad.cpp:193)   --- driverStr
intVerToStrVer(pad.cpp:96)       --- intVerToStrVer
hasShm(pad.cpp:144)      --- hasShm
hasShm(pad.cpp:144)      --- hasShm
hasDriver(pad.cpp:138)   --- hasDriver
hasDriver(pad.cpp:138)   --- hasDriver
Launched ok, pid = 3180
hasParam(pad.cpp:256)    --- hasParam
intVerToStrVer(pad.cpp:96)       --- intVerToStrVer
intVerToStrVer(pad.cpp:96)       --- intVerToStrVer
hasParam(pad.cpp:256)    --- hasParam
intVerToStrVer(pad.cpp:96)       --- intVerToStrVer
intVerToStrVer(pad.cpp:96)       --- intVerToStrVer
hasDriver(pad.cpp:138)   --- hasDriver
~Pad(pad.cpp:36)         --- detach driver
~Pad(pad.cpp:39)         --- deleted singleton
[craig@aspire-one ~]$ ICE default IO error handler doing an exit(), pid = 3177, errno = 11

Then when the program loads, a dialog says that 'No suitable driver found' and all options are greyed out

Expected results:

Ksynaptics should work and offer me configuration options

Additional info:
Comment 1 Kevin Kofler 2009-01-19 22:13:09 EST
The version conflict is not between ksynaptics and libsynaptics, but between libsynaptics and the synaptics driver.
Comment 2 Kevin Kofler 2009-02-12 01:05:00 EST
Ping? It has been almost a month, what's the status of this?
Comment 3 Harshad RJ 2009-02-14 06:27:12 EST
After bearing synaptics problems for several months, and suffering from resulting indigestion, I have finally found one remedy:

/usr/bin/synclient


I now use a script which essentially does this:


# Gaaah! NO scrolling, thank you.
synclient VertEdgeScroll=0
synclient HorizEdgeScroll=0

# No taps, thank you.
synclient MaxTapTime=0

Peace!


Ps. For those still using ksynaptics, libsynaptics, please see the rant (posted on 12/1/08) from the author of these packages himself:
http://qsynaptics.sourceforge.net/
Comment 4 Craig White 2009-04-09 10:47:50 EDT
this is weird...apparently no one wants to take assignment of this report, it was fixed when I got updated libsynaptics-0.14.6c-6.fc10.i386 on March 11.

I updated to Fedora-11-Beta yesterday and I am once again having the same failure issues even though libsynaptics is unchanged (but obviously xorg-x11-drv-synaptics has been updated to 1.1.0-1.fc11.i586)
Comment 5 Orion Poplawski 2009-04-09 11:02:00 EDT
libsynaptics/ksynaptics is dead and has been removed from Fedora 11.

Note You need to log in before you can comment on or make changes to this bug.